﻿using System;

public partial class _Default : System.Web.UI.Page
{
    /// <summary>
    /// Page Load Event
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {
        lblCheckBox.Text = "";
        lblCheckBoxList.Text = "";

        if (!Page.IsPostBack)
        {
            chkList.Items.Add("Apple");
            chkList.Items.Add("Banana");
            chkList.Items.Add("Orange");
            chkList.Items.Add("Pineapple");
            chkList.Items.Add("Watermelon");
            chkList.Items.Add("Papaya");
            chkList.Items.Add("Grapes");
            chkList.Items.Add("Guavas");
        }
    }

    /// <summary>
    /// Selected Index Change Event
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void chkList_SelectedIndexChanged(object sender, EventArgs e)
    {
        for (int chkcount = 0; chkcount < chkList.Items.Count; chkcount++)
        {
            if (chkList.Items[chkcount].Selected)
                lblCheckBoxList.Text += ", " + chkList.Items[chkcount].Text;
        }

        lblCheckBoxList.Text = lblCheckBoxList.Text.TrimStart(',');

    }

    /// <summary>
    /// CheckedChanged Event of Mango
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void chkMango_CheckedChanged(object sender, EventArgs e)
    {
        if (chkMango.Checked)
            lblCheckBox.Text = "Mango is Checked.";
        else
            lblCheckBox.Text = "Mango is UnChecked.";
    }

    /// <summary>
    /// CheckedChanged Event of Orange
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void chkOrange_CheckedChanged(object sender, EventArgs e)
    {
        if (chkOrange.Checked)
            lblCheckBox.Text = "Orange is Checked.";
        else
            lblCheckBox.Text = "Orange is UnChecked.";

    }

    /// <summary>
    /// CheckedChanged Event of Banana
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void chkBanana_CheckedChanged(object sender, EventArgs e)
    {
        if (chkBanana.Checked)
            lblCheckBox.Text = "Banana is Checked.";
        else
            lblCheckBox.Text = "Banana is UnChecked.";
    }

    /// <summary>
    /// Check All
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCheckAll_Click(object sender, EventArgs e)
    {
        chkBanana.Checked = true;
        chkMango.Checked = true;
        chkOrange.Checked = true;
        lblCheckBox.Text = "All Checked.";
    }

    /// <summary>
    /// Uncheck All
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnUncheckAll_Click(object sender, EventArgs e)
    {
        chkBanana.Checked = false;
        chkMango.Checked = false;
        chkOrange.Checked = false;
        lblCheckBox.Text = "All UnChecked.";

    }

    /// <summary>
    /// Check All
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCheckListAll_Click(object sender, EventArgs e)
    {
        for (int chkcount = 0; chkcount < chkList.Items.Count; chkcount++)
        {
            chkList.Items[chkcount].Selected = true;
        }
        lblCheckBoxList.Text = "All Checked.";
    }

    /// <summary>
    /// Uncheck All
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnUnCheckListAll_Click(object sender, EventArgs e)
    {
        for (int chkcount = 0; chkcount < chkList.Items.Count; chkcount++)
        {
            chkList.Items[chkcount].Selected = false;
        }

        lblCheckBoxList.Text = "All UnChecked.";
    }

    /// <summary>
    /// Get Selected for CheckBox
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCheckGetSelected_Click(object sender, EventArgs e)
    {
        if (chkMango.Checked)
            lblCheckBox.Text = ", Mango";
        if (chkOrange.Checked)
            lblCheckBox.Text += ", Orange";
        if (chkBanana.Checked)
            lblCheckBox.Text += ", Banana";

        lblCheckBox.Text = lblCheckBox.Text.TrimStart(',');
    }

    /// <summary>
    /// Get Selected for CheckBoxList
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnCheckListGetSelected_Click(object sender, EventArgs e)
    {
        for (int chkcount = 0; chkcount < chkList.Items.Count; chkcount++)
        {
            if (chkList.Items[chkcount].Selected)
                lblCheckBoxList.Text += ", " + chkList.Items[chkcount].Text;
        }

        lblCheckBoxList.Text = lblCheckBoxList.Text.TrimStart(',');
    }
}
